#include <stdio.h>

#include <gdk/gdkx.h>
#include <gtk/gtk.h>

#include "palette_aux.h"

extern GdkFilterReturn xaux_ext_event_handler(GdkXEvent * gdk_xevent,
					      GdkEvent * event,
					      gpointer user_data);

palette_window_t *palette_window;

int main(int argc, char **argv)
{
    gtk_init(&argc, &argv);

    palette_window = (palette_window_t *) palette_window_new();

    gdk_window_add_filter(palette_window->window->window,
			  xaux_ext_event_handler, 0);

    if (xaux_ext_register_classes(palette_window->window->window) == False)
	return False;

    gtk_main();
}
